<?php
include '../comunes_php/cors.php';
include "../comunes_php/Log.class.php"; 

$id = intval($_REQUEST['id']);
	include '../rdb/conn.php';

$log = new Log("app_trace", "./");
$parametros = print_r($_REQUEST,TRUE); 
$log->insert($parametros, false, false, false);

//si el producto fue usado en algun contrato solo lo deshabilito, sino lo borro fisicamente.
$sql="select count(*) from cuenta_corriente_proveedores where proveedor_id=$id";
$rs = mysqli_query( $conn,$sql);
$row = mysqli_fetch_row($rs);
$cantUsos = $row[0];

if ($cantUsos==0 ) {     

        try {    
        mysqli_query( $conn,"SET AUTOCOMMIT=0");
        mysqli_query( $conn,"START TRANSACTION");
        
        $sql = "delete from cuenta_corriente_proveedores  where producto_id={$id}";
        @mysqli_query( $conn,$sql);
        $log->insert($sql, false, false, false);

                        	    
                    
        $sql = "delete from proveedores where id={$id}";
        @mysqli_query( $conn,$sql);
        $log->insert($sql, false, false, false);

                        	    

        mysqli_query( $conn,"COMMIT");
        echo json_encode(array('success'=>true));
        
        } catch(exception $error) {
            
        mysqli_query( $conn,"ROLLBACK");
        
        echo 'Ocurrio el siguiente error'. $error->getMessage();    
        }
}
else{
    $sql = "update proveedores set borrado=1 where id={$id}";
        @mysqli_query( $conn,$sql);
        $log->insert($sql, false, false, false);
	
}
?>